<?php
if (!isset($_GET['folder'])) {
	  if (isset($_COOKIE['cook_folder'])) {
		  $cook_folder = $_COOKIE['cook_folder'];	             
	  }  else {      
		  setcookie("cook_folder",0);
		  $cook_folder = 0;	  
	  }		  
} else { 	 
	 $cook_folder = (int) $_GET['folder']; 
	 setcookie("cook_folder", $cook_folder);
}

require_once("./lib/inc_form.php");

if (isset($_POST['q'])) {
   $q = formatVar($_POST['q'], "query", 25); 
   setcookie("cook_query",$q);  
   $cook_query = $q;
} else if (isset($_GET['q'])){   
   $q = formatVar($_GET['q'], "query", 25); 
   setcookie("cook_query",$q);  
   $cook_query = $q;
} else {   
   if (isset($_COOKIE['cook_query'])) $cook_query  = $_COOKIE['cook_query'];
					else  $cook_query  = "";
}

require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");
require_once("./lib/inc_function.php");

// what kind of listing ?
if (isset($_GET['tri'])) $tri = $_GET['tri'];
				    else $tri = "";
switch($tri) {
    case "N" :   $tri = "site_name"; 
			     $trj = "folder_name";				
                 break;
    case "M" :   $tri = "site_modify"; 
				 $trj = "folder_modify";
                 break;
    case "S" :   $tri = "site_hit";
				 $trj = "folder_nbItem"; 
                 break;		
    case "D" :   $tri = "site_desc";
				 $trj = "folder_desc"; 
                 break;
    default:     $tri = "site_name";
				 $trj = "folder_name"; 
}
if (isset($_GET['sort'])) $s = $_GET['sort'];
				     else $s = "";
					
if ($s=="D")  $sort = "DESC"; 
		 else $sort = "ASC"; 

// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 	
	$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);   	 
	$query = "SELECT site_id, site_name, site_modify, DATE_FORMAT(site_modify,'%d-%b-%Y %h:%m ') AS myDate , site_folder , site_desc, site_url, site_hit
	      FROM  wiklink_site 
		  WHERE  site_name LIKE '%$cook_query%' OR site_desc LIKE '%$cook_query%'
		  ORDER BY ".$tri." ".$sort."
		  LIMIT ".MAXITEM;	 
	$result = execQuery($query);
	while ($pt = nextLine($result)) {	
		  generateA($pt->site_name, $pt->site_url, $pt->site_url);
	}
	generateBottom(0,'raw'); 
	exit();
}

// normal mode
generateTop(); 	
if ($s=="D") generateHeaderAsc();
	 	else generateHeaderDesc();					
generateLine(); 				

// parent directory 
$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
generateParentDir("index.php?folder=$cook_folder");
displayMsg("\n");

if (isset($cook_query) AND ($cook_query!="") ) {
  $count = 0;
  displayMsg(ucfirst($lang['search']).":  ".stripslashes($cook_query), "unknown.png");
// list folder
$query = "SELECT folder_id, folder_name, folder_modify, DATE_FORMAT(folder_modify,'%d-%b-%Y %h:%m ') AS myDate , folder_nbItem , folder_desc 
	        FROM  wiklink_folder 
			WHERE folder_name LIKE '%$cook_query%' OR folder_desc LIKE '%$cook_query%'
			ORDER BY ".$trj." ".$sort."
			LIMIT ".MAXITEM;; 			   
$result = execQuery($query);
while ($pt = nextLine($result)) {
	   $count++;	   
	   $fname = addslashes($pt->folder_name);
	   generateA($pt->folder_name, "index.php?folder=$pt->folder_id","Category: $fname", "_self", "folder");
	   printAndFill($pt->folder_name,24);
	   echo  "$pt->myDate    ";
	   echo  "$pt->folder_nbItem";
	   printAndFill($pt->folder_nbItem,4);
	   echo  "  $pt->folder_desc";	
	   printAndFill($pt->folder_desc,48);	   
	   generateA($lang['edit'], "editCategory.php?action=edit&amp;fold=$pt->folder_id", $lang['edit']." ".$fname);	    
}


// list site
$query = "SELECT site_id, site_name, site_modify, DATE_FORMAT(site_modify,'%d-%b-%Y %h:%m ') AS myDate , site_folder , site_desc, site_url, site_hit
	      FROM  wiklink_site 
		  WHERE  site_name LIKE '%$cook_query%' OR site_desc LIKE '%$cook_query%'
		  ORDER BY ".$tri." ".$sort."
		  LIMIT ".MAXITEM;
$result = execQuery($query);
while ($pt = nextLine($result)) {
	   $count++;	  
	   generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
	   printAndFill($pt->site_name,24);
	   echo  "$pt->myDate    ";	   
	   echo  "$pt->site_hit";
	   printAndFill($pt->site_hit,3);
	   /*
	   if (isset($check)) {
	     $color = "black";	 	    
	     if (!linkAlive($pt->site_url, $msg))   { 		  
		   $msg =  "INVALID $msg";
		   $color= "red";		   
		 } else {
		   if (substr($msg,0,5) != "Valid") $color= "red";
		 }
		 echo  "<font color=$color>   $msg</font>";	
	     printAndFill($msg,48);	   
	   } else {*/
	   echo  "   $pt->site_desc";	
	   printAndFill($pt->site_desc,48);	 
	   /*}*/
	   $mname = addslashes($pt->site_name);
	   generateA($lang['edit'], "editSite.php?action=edit&amp;site=$pt->site_id", $lang['edit']." $mname");	     
}
   // count
   $query = "SELECT COUNT(*) AS c FROM wiklink_site";
   $result = execQuery($query);
   $pt = nextLine($result);
   $total = $pt->c;
   /*
   $query = "SELECT COUNT(*) AS c FROM wiklink_folder";
   $result = execQuery($query);
   $pt = nextLine($result);
   $total += $pt->c;
   */
  if ($count>0) {
    echo("\n\n".$count." ".$lang['hits']." / $total ".$lang['links']);
   } else {
    echo("\n\n".$lang['noMatch']);
   }
} else {
	displayMsg(ucfirst($lang['search']), "unknown.png");
}


//form
newForm("search.php");
formInput("", "q", "", 24);
endForm($lang['submit'], $lang['search']);
generateBottom("");	   	 
?>
